cardholder.kyc.status_changed: Triggered when the cardholder's KYC status changes (e.g., review initiated after creation, callback updates status, manual review result).
Request body
Fields
Data Type
Description
event_id
string
A unique ID for the event.
event_name
string
Event name.
event_type
string
Event type.
source_id
string
Cardholder id.
version
string
API Version number.
data
object
Related business objects.
data fields
Fields
Data Type
Description
cardholder_id
string
The affected cardholder's unique identifier.
email
string
The cardholder's email address.
first_name
string
The cardholder's first name.
last_name
string
The cardholder's last name.
date_of_birth
string
The cardholder's date of birth in yyyy-mm-dd format.
country_code
string
The cardholder's country code.
nationality
string
The cardholder's nationality in ISO 3166-1 alpha-2 format.
phone_number
string
The cardholder's phone number.
cardholder_status
string
Current status: SUCCESS | PENDING | INCOMPLETE | FAILED.